Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 140871 - [PATCH] Convert man pages to UTF-8
Summary: [PATCH] Convert man pages to UTF-8
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: perl
Version: rawhide
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Warren Togami
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks: FC5Target
TreeView+ depends on / blocked
 
Reported: 2004-11-25 22:52 UTC by Miloslav Trmač
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-09-05 11:55:26 UTC


Attachments (Terms of Use)
Convert man pages after installing them. (deleted)
2004-11-25 22:52 UTC, Miloslav Trmač
no flags Details | Diff
Recode more docs (deleted)
2005-09-05 08:55 UTC, Ville Skyttä
no flags Details | Diff

Description Miloslav Trmač 2004-11-25 22:52:22 UTC
Some of the shipped man pages are not in UTF-8, so man has to
guess their encoding
- for some of them (README.$CJK) it guesses wrong
- for all of them it outputs a warning to stderr

Version-Release number of selected component (if applicable):
5.8.5-10

Comment 1 Miloslav Trmač 2004-11-25 22:52:23 UTC
Created attachment 107466 [details]
Convert man pages after installing them.

Comment 2 Warren Togami 2005-09-04 10:16:51 UTC
Can anyone ACK to verify this?

Comment 3 Ville Skyttä 2005-09-05 08:55:57 UTC
Created attachment 118449 [details]
Recode more docs

ACK, but I'd recode the files in %prep before installing them so that the
corresponding "perldoc foo" get fixed too, not only the manpages.  See patch.


Note You need to log in before you can comment on or make changes to this bug.